GNU bug report logs - #12313
nnmairix bug when searching (End of file during parsing)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,gnus; Reported by: Sergio Durigan Junior <sergiodj@HIDDEN>; dated Thu, 30 Aug 2012 21:34:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 12313 <at> debbugs.gnu.org:


Received: (at 12313) by debbugs.gnu.org; 25 Jan 2017 16:48:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 25 11:48:35 2017
Received: from localhost ([127.0.0.1]:43014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWQkK-0007QA-9J
	for submit <at> debbugs.gnu.org; Wed, 25 Jan 2017 11:48:35 -0500
Received: from kwanyin.sergiodj.net ([158.69.185.54]:48801)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergiodj@HIDDEN>) id 1cWQkF-0007Pu-1M
 for 12313 <at> debbugs.gnu.org; Wed, 25 Jan 2017 11:48:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=sergiodj.net;
 s=20160602; 
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:Subject:Cc:To:From;
 bh=BuuZPUIsAuqPVKF5eI52b8aJiy0z1MAjuP6SXdrNgxI=; 
 b=I1wXGF8hJVUjAZFGn98nayJzJ+5JnVJ1w5BEjx+cXXNNtl8M0C5eWPdhWuhppiGBWDJlf43e2npBFEcYVqJN0AUPaJHqapDpcCBy4qayNZF9ZkmnOknQhmP6cwUNDdb686sgECcern+l1okp45VV1dDzR0voZFz9nZQlj0Z0y30=;
From: Sergio Durigan Junior <sergiodj@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#12313: nnmairix bug when searching (End of file during
 parsing)
References: <87k3wgm5gz.fsf@HIDDEN> <87vc4nlgkg.fsf@HIDDEN>
 <87d2ndy5rp.fsf@HIDDEN> <878uy1y5hy.fsf@HIDDEN>
 <87vbx1awhz.fsf@HIDDEN> <87y51x3t2l.fsf@HIDDEN>
 <87ppn980ls.fsf@HIDDEN> <m3ob2tf132.fsf@HIDDEN>
 <87d2j98028.fsf@HIDDEN> <87wpdj5h5w.fsf@HIDDEN>
X-URL: http://blog.sergiodj.net
Date: Wed, 25 Jan 2017 11:48:23 -0500
In-Reply-To: <87wpdj5h5w.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 25 Jan 2017 15:48:59 +0100")
Message-ID: <87inp36q7c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 12313
Cc: 12313 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.2 (---)

On Wednesday, January 25 2017, Lars Ingebrigtsen wrote:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> Sergio Durigan Junior <sergiodj@HIDDEN> writes:
>>
>>> But yeah, there is nothing in the *nntpd* buffer, indeed.
>>
>> And the code expects that there should be, so something is going wrong
>> before that code is called.  But I'm not familiar enough with the code
>> to see what's supposed to actually insert the data into the *nntpd*
>> buffer.
>>
>> Anybody?
>
> Sergio, is this still a problem or has it been fixed in the meantime?

Hey Lars,

Thanks for the ping.  I've just tried to reproduce the bug here, and it
still happens.  To be honest, I'm not going to use nnmairix anymore
(even if this bug gets fixed), so if you want to lower the priority of
this issue feel free to do so.  I can still help providing needed
information, though.

Thanks,

-- 
Sergio
GPG key ID: 237A 54B1 0287 28BF 00EF  31F4 D0EB 7628 65FC 5E36
Please send encrypted e-mail if possible
http://sergiodj.net/




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#12313; Package emacs,gnus. Full text available.

Message received at 12313 <at> debbugs.gnu.org:


Received: (at 12313) by debbugs.gnu.org; 25 Jan 2017 15:03:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 25 10:03:30 2017
Received: from localhost ([127.0.0.1]:42922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWP6g-0006Zz-Fo
	for submit <at> debbugs.gnu.org; Wed, 25 Jan 2017 10:03:30 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:42642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1cWP6c-0006ZT-0j
 for 12313 <at> debbugs.gnu.org; Wed, 25 Jan 2017 10:03:28 -0500
Received: from 2.150.50.220.tmi.telenormobil.no ([2.150.50.220] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1cWOsj-0003Xp-SP; Wed, 25 Jan 2017 15:49:12 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Sergio Durigan Junior <sergiodj@HIDDEN>
Subject: Re: bug#12313: nnmairix bug when searching (End of file during
 parsing)
References: <87k3wgm5gz.fsf@HIDDEN> <87vc4nlgkg.fsf@HIDDEN>
 <87d2ndy5rp.fsf@HIDDEN> <878uy1y5hy.fsf@HIDDEN>
 <87vbx1awhz.fsf@HIDDEN> <87y51x3t2l.fsf@HIDDEN>
 <87ppn980ls.fsf@HIDDEN> <m3ob2tf132.fsf@HIDDEN>
 <87d2j98028.fsf@HIDDEN>
Date: Wed, 25 Jan 2017 15:48:59 +0100
In-Reply-To: <87d2j98028.fsf@HIDDEN> (Lars Ingebrigtsen's message
 of "Thu, 30 Jan 2014 16:30:39 -0800")
Message-ID: <87wpdj5h5w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 12313
Cc: 12313 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Sergio Durigan Junior <sergiodj@HIDDEN> writes:
>
>> But yeah, there is nothing in the *nntpd* buffer, indeed.
>
> And the code expects that there should be, so something is going wrong
> before that code is called.  But I'm not familiar enough with the code
> to see what's supposed to actually insert the data into the *nntpd*
> buffer.
>
> Anybody?

Sergio, is this still a problem or has it been fixed in the meantime?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#12313; Package emacs,gnus. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug No longer marked as found in versions 5.13. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package 'gnus' to 'emacs,gnus'. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 12313 <at> debbugs.gnu.org:


Received: (at 12313) by debbugs.gnu.org; 31 Jan 2014 00:31:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 30 19:31:45 2014
Received: from localhost ([127.0.0.1]:42015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W921I-00015W-Lx
	for submit <at> debbugs.gnu.org; Thu, 30 Jan 2014 19:31:45 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:36011)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <larsi@HIDDEN>) id 1W921G-00015N-E2
 for 12313 <at> debbugs.gnu.org; Thu, 30 Jan 2014 19:31:42 -0500
Received: from [204.14.154.233] (helo=building.gnus.org)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1W9211-0002yl-Vc; Fri, 31 Jan 2014 01:31:28 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Sergio Durigan Junior <sergiodj@HIDDEN>
Subject: Re: bug#12313: nnmairix bug when searching (End of file during
 parsing)
References: <87k3wgm5gz.fsf@HIDDEN> <87vc4nlgkg.fsf@HIDDEN>
 <87d2ndy5rp.fsf@HIDDEN> <878uy1y5hy.fsf@HIDDEN>
 <87vbx1awhz.fsf@HIDDEN> <87y51x3t2l.fsf@HIDDEN>
 <87ppn980ls.fsf@HIDDEN> <m3ob2tf132.fsf@HIDDEN>
Date: Thu, 30 Jan 2014 16:30:39 -0800
In-Reply-To: <m3ob2tf132.fsf@HIDDEN> (Sergio Durigan Junior's message of
 "Thu, 30 Jan 2014 22:26:41 -0200")
Message-ID: <87d2j98028.fsf@HIDDEN>
User-Agent: Gnus/5.130008 (Ma Gnus v0.8) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1W9211-0002yl-Vc
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1391733088.67749@7UenFKc2Vv9lq2T+3TSbIQ
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 12313
Cc: 12313 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Sergio Durigan Junior <sergiodj@HIDDEN> writes:

> But yeah, there is nothing in the *nntpd* buffer, indeed.

And the code expects that there should be, so something is going wrong
before that code is called.  But I'm not familiar enough with the code
to see what's supposed to actually insert the data into the *nntpd*
buffer.

Anybody?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bugs@HIDDEN:
bug#12313; Package gnus. Full text available.

Message received at 12313 <at> debbugs.gnu.org:


Received: (at 12313) by debbugs.gnu.org; 31 Jan 2014 00:26:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 30 19:26:48 2014
Received: from localhost ([127.0.0.1]:41992 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W91wW-0008FD-EQ
	for submit <at> debbugs.gnu.org; Thu, 30 Jan 2014 19:26:48 -0500
Received: from mx1.riseup.net ([198.252.153.129]:44296)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sergiodj@HIDDEN>) id 1W91wU-0008F5-8j
 for 12313 <at> debbugs.gnu.org; Thu, 30 Jan 2014 19:26:46 -0500
Received: from fulvetta.riseup.net (fulvetta-pn.riseup.net [10.0.1.75])
 (using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net", Issuer "Gandi Standard SSL CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4DB2850019;
 Thu, 30 Jan 2014 16:26:45 -0800 (PST)
Received: from [127.0.0.1] (localhost [127.0.0.1])
 (Authenticated sender: sergiodj@HIDDEN)
 with ESMTPSA id 64DE31EC
From: Sergio Durigan Junior <sergiodj@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#12313: nnmairix bug when searching (End of file during
 parsing)
References: <87k3wgm5gz.fsf@HIDDEN> <87vc4nlgkg.fsf@HIDDEN>
 <87d2ndy5rp.fsf@HIDDEN> <878uy1y5hy.fsf@HIDDEN>
 <87vbx1awhz.fsf@HIDDEN> <87y51x3t2l.fsf@HIDDEN>
 <87ppn980ls.fsf@HIDDEN>
X-URL: http://blog.sergiodj.net
Date: Thu, 30 Jan 2014 22:26:41 -0200
In-Reply-To: <87ppn980ls.fsf@HIDDEN> (Lars Ingebrigtsen's message
 of "Thu, 30 Jan 2014 16:18:55 -0800")
Message-ID: <m3ob2tf132.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Virus-Scanned: clamav-milter 0.97.8 at mx1
X-Virus-Status: Clean
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 12313
Cc: 12313 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

On Thursday, January 30 2014, Lars Ingebrigtsen wrote:

> Sergio Durigan Junior <sergiodj@HIDDEN> writes:
>
>>> Should get you a backtrace when it fails.  Look in the "*mairix output*"
>>> buffer when this happens, and post the contents of that buffer.
>>
>> There's just:
>>
>>   Matched 1079 messages
>
> Aha.  Hm...  Aha, then it jumps to the " *nntpd*" buffer (note leading
> space) and starts reading from that.  What's in that buffer when this
> happens?  I would suspect nothing?

That leading whitespace was added by me, sorry.  I wanted to
contextualize the message.  But yeah, there is nothing in the *nntpd*
buffer, indeed.

-- 
Sergio




Information forwarded to bugs@HIDDEN:
bug#12313; Package gnus. Full text available.

Message received at 12313 <at> debbugs.gnu.org:


Received: (at 12313) by debbugs.gnu.org; 31 Jan 2014 00:20:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 30 19:20:03 2014
Received: from localhost ([127.0.0.1]:41979 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W91py-00084w-E7
	for submit <at> debbugs.gnu.org; Thu, 30 Jan 2014 19:20:02 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:54448)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <larsi@HIDDEN>) id 1W91pv-00084c-PT
 for 12313 <at> debbugs.gnu.org; Thu, 30 Jan 2014 19:20:00 -0500
Received: from [204.14.154.233] (helo=building.gnus.org)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1W91pg-0002pP-Kh; Fri, 31 Jan 2014 01:19:45 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Sergio Durigan Junior <sergiodj@HIDDEN>
Subject: Re: bug#12313: nnmairix bug when searching (End of file during
 parsing)
References: <87k3wgm5gz.fsf@HIDDEN> <87vc4nlgkg.fsf@HIDDEN>
 <87d2ndy5rp.fsf@HIDDEN> <878uy1y5hy.fsf@HIDDEN>
 <87vbx1awhz.fsf@HIDDEN> <87y51x3t2l.fsf@HIDDEN>
Date: Thu, 30 Jan 2014 16:18:55 -0800
In-Reply-To: <87y51x3t2l.fsf@HIDDEN> (Sergio Durigan Junior's message of
 "Thu, 30 Jan 2014 22:15:14 -0200")
Message-ID: <87ppn980ls.fsf@HIDDEN>
User-Agent: Gnus/5.130008 (Ma Gnus v0.8) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1W91pg-0002pP-Kh
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1391732386.05784@zjx13c1ZagbM6lqpj/PQEA
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 12313
Cc: 12313 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Sergio Durigan Junior <sergiodj@HIDDEN> writes:

>> Should get you a backtrace when it fails.  Look in the "*mairix output*"
>> buffer when this happens, and post the contents of that buffer.
>
> There's just:
>
>   Matched 1079 messages

Aha.  Hm...  Aha, then it jumps to the " *nntpd*" buffer (note leading
space) and starts reading from that.  What's in that buffer when this
happens?  I would suspect nothing?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bugs@HIDDEN:
bug#12313; Package gnus. Full text available.

Message received at 12313 <at> debbugs.gnu.org:


Received: (at 12313) by debbugs.gnu.org; 31 Jan 2014 00:15:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 30 19:15:26 2014
Received: from localhost ([127.0.0.1]:41975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W91lR-0007Bs-8B
	for submit <at> debbugs.gnu.org; Thu, 30 Jan 2014 19:15:25 -0500
Received: from mx1.riseup.net ([198.252.153.129]:42218)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sergiodj@HIDDEN>) id 1W91lO-00078V-Hv
 for 12313 <at> debbugs.gnu.org; Thu, 30 Jan 2014 19:15:19 -0500
Received: from fruiteater.riseup.net (fruiteater-pn.riseup.net [10.0.1.74])
 (using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net", Issuer "Gandi Standard SSL CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 9534B51CC6;
 Thu, 30 Jan 2014 16:15:17 -0800 (PST)
Received: from [127.0.0.1] (localhost [127.0.0.1])
 (Authenticated sender: sergiodj@HIDDEN)
 with ESMTPSA id BE46AD7F
From: Sergio Durigan Junior <sergiodj@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#12313: nnmairix bug when searching (End of file during
 parsing)
References: <87k3wgm5gz.fsf@HIDDEN> <87vc4nlgkg.fsf@HIDDEN>
 <87d2ndy5rp.fsf@HIDDEN> <878uy1y5hy.fsf@HIDDEN>
 <87vbx1awhz.fsf@HIDDEN>
X-URL: http://sergiodj.net/blog
Date: Thu, 30 Jan 2014 22:15:14 -0200
In-Reply-To: <87vbx1awhz.fsf@HIDDEN> (Lars Ingebrigtsen's message
 of "Thu, 30 Jan 2014 15:19:20 -0800")
Message-ID: <87y51x3t2l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Virus-Scanned: clamav-milter 0.97.8 at mx1
X-Virus-Status: Clean
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 12313
Cc: 12313 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

On Thursday, January 30 2014, Lars Ingebrigtsen wrote:

> Hm.  That function calls `read' a few times, and it's likely that the
> data there is bad.
>
> (setq debug-ignored-errors nil
>       debug-on-error t)
>
> Should get you a backtrace when it fails.  Look in the "*mairix output*"
> buffer when this happens, and post the contents of that buffer.

There's just:

  Matched 1079 messages

Not sure you wanted the backtrace as well, but here it is (it happens
when I type G b s, provide a search term, and hit RET):

Debugger entered--Lisp error: (end-of-file)
  read(#<buffer  *nntpd*>)
  nnmairix-request-group-with-article-number-correction("zz_mairix-searchgroup-1" "nnmairix+localsearch:searchgroup")
  nnmairix-request-group("searchgroup" "localsearch" nil ("nnmairix+localsearch:searchgroup" 3 nil nil (nnmairix "localsearch" (nnmairix-backend nnimap) (nnmairix-backend-server "local") (nnmairix-mairix-command "mairix") (nnmairix-hidden-folders t) (nnmairix-default-group "searchgroup")) ((numcorr t 0 0) (query "searchterm") (folder . "zz_mairix-searchgroup-1") (threads))))
  gnus-activate-group("nnmairix+localsearch:searchgroup" scan nil (nnmairix "localsearch" (nnmairix-backend nnimap) (nnmairix-backend-server "local") (nnmairix-mairix-command "mairix") (nnmairix-hidden-folders t) (nnmairix-default-group "searchgroup")))
  gnus-group-get-new-news-this-group()
  nnmairix-update-and-clear-marks("nnmairix+localsearch:searchgroup")
  nnmairix-search("searchterm")
  call-interactively(nnmairix-search nil nil)
  recursive-edit()
  debug(error (end-of-file))
  read(#<buffer  *nntpd*>)
  nnmairix-request-group-with-article-number-correction("zz_mairix-searchgroup-1" "nnmairix+localsearch:searchgroup")
  nnmairix-request-group("searchgroup" "localsearch" t nil)
  gnus-request-group("nnmairix+localsearch:searchgroup" t)
  gnus-select-newsgroup("nnmairix+localsearch:searchgroup" nil nil)
  gnus-summary-read-group-1("nnmairix+localsearch:searchgroup" nil t nil nil nil)
  gnus-summary-read-group("nnmairix+localsearch:searchgroup" nil t nil nil nil nil)
  gnus-group-read-group(nil t)
  gnus-group-select-group(nil)
  gnus-topic-select-group(nil)
  call-interactively(gnus-topic-select-group nil nil)

Thanks,

-- 
Sergio




Information forwarded to bugs@HIDDEN:
bug#12313; Package gnus. Full text available.

Message received at 12313 <at> debbugs.gnu.org:


Received: (at 12313) by debbugs.gnu.org; 30 Jan 2014 23:20:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 30 18:20:26 2014
Received: from localhost ([127.0.0.1]:41888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W90uI-00039M-FI
	for submit <at> debbugs.gnu.org; Thu, 30 Jan 2014 18:20:26 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:42016)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <larsi@HIDDEN>) id 1W90uF-00039E-Ty
 for 12313 <at> debbugs.gnu.org; Thu, 30 Jan 2014 18:20:24 -0500
Received: from [204.14.154.233] (helo=building.gnus.org)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1W90u1-00023G-4D; Fri, 31 Jan 2014 00:20:09 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Sergio Durigan Junior <sergiodj@HIDDEN>
Subject: Re: bug#12313: nnmairix bug when searching (End of file during
 parsing)
References: <87k3wgm5gz.fsf@HIDDEN> <87vc4nlgkg.fsf@HIDDEN>
 <87d2ndy5rp.fsf@HIDDEN> <878uy1y5hy.fsf@HIDDEN>
Date: Thu, 30 Jan 2014 15:19:20 -0800
In-Reply-To: <878uy1y5hy.fsf@HIDDEN> (Sergio Durigan Junior's message of
 "Thu, 10 Oct 2013 04:00:57 -0300")
Message-ID: <87vbx1awhz.fsf@HIDDEN>
User-Agent: Gnus/5.130008 (Ma Gnus v0.8) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1W90u1-00023G-4D
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1391728810.02985@pA+13Bzi5jilcw/16Jlp0A
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 12313
Cc: 12313 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Sergio Durigan Junior <sergiodj@HIDDEN> writes:

> Well, I forgot to mention, I actually found something while looking at
> the Messages buffer:
>
>   nnmairix-request-group-with-article-number-correction: End of file
> during parsing

Hm.  That function calls `read' a few times, and it's likely that the
data there is bad.

(setq debug-ignored-errors nil
      debug-on-error t)

Should get you a backtrace when it fails.  Look in the "*mairix output*"
buffer when this happens, and post the contents of that buffer.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bugs@HIDDEN:
bug#12313; Package gnus. Full text available.

Message received at 12313 <at> debbugs.gnu.org:


Received: (at 12313) by debbugs.gnu.org; 9 Jan 2014 05:22:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 00:22:58 2014
Received: from localhost ([127.0.0.1]:43412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W1852-0005Tu-Gu
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2014 00:22:57 -0500
Received: from mx1.riseup.net ([198.252.153.129]:55710)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sergiodj@HIDDEN>) id 1W1851-0005Tn-5g
 for 12313 <at> debbugs.gnu.org; Thu, 09 Jan 2014 00:22:55 -0500
Received: from fulvetta.riseup.net (fulvetta-pn.riseup.net [10.0.1.75])
 (using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net", Issuer "Gandi Standard SSL CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id AADA54ABC9;
 Wed,  8 Jan 2014 21:22:54 -0800 (PST)
Received: from [127.0.0.1] (localhost [127.0.0.1])
 (Authenticated sender: sergiodj@HIDDEN)
 with ESMTPSA id D5DFA342
From: Sergio Durigan Junior <sergiodj@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#12313: nnmairix bug when searching (End of file during
 parsing)
References: <87k3wgm5gz.fsf@HIDDEN> <87vc4nlgkg.fsf@HIDDEN>
 <87d2ndy5rp.fsf@HIDDEN> <878uy1y5hy.fsf@HIDDEN>
X-URL: http://sergiodj.net/blog
Date: Thu, 09 Jan 2014 03:22:50 -0200
In-Reply-To: <878uy1y5hy.fsf@HIDDEN> (Sergio Durigan Junior's message of
 "Thu, 10 Oct 2013 04:00:57 -0300")
Message-ID: <87ob3lzq39.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Virus-Scanned: clamav-milter 0.97.8 at mx1
X-Virus-Status: Clean
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 12313
Cc: 12313 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

On Thursday, October 10 2013, I wrote:

> Well, I forgot to mention, I actually found something while looking at
> the Messages buffer:
>
>   nnmairix-request-group-with-article-number-correction: End of file during parsing
>
> I'm using nnimap as my main backend (Dovecot), FWIW.

Hey there :-).

I still haven't had the chance to look at this bug yet :-(.  Too many
things to do!

But anyway, I'm just pinging to know if you managed to look at this
problem, and if you need some help/info from my side.

Thanks!

-- 
Sergio




Information forwarded to bugs@HIDDEN:
bug#12313; Package gnus. Full text available.

Message received at 12313 <at> debbugs.gnu.org:


Received: (at 12313) by debbugs.gnu.org; 10 Oct 2013 07:01:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 10 03:01:05 2013
Received: from localhost ([127.0.0.1]:39518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VUAF6-0003Gp-4R
	for submit <at> debbugs.gnu.org; Thu, 10 Oct 2013 03:01:04 -0400
Received: from mx1.riseup.net ([198.252.153.129]:35038)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sergiodj@HIDDEN>) id 1VUAF3-0003GP-0J
 for 12313 <at> debbugs.gnu.org; Thu, 10 Oct 2013 03:01:01 -0400
Received: from fulvetta.riseup.net (fulvetta-pn.riseup.net [10.0.1.75])
 (using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net", Issuer "Gandi Standard SSL CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 6E3F543B3E;
 Thu, 10 Oct 2013 00:01:00 -0700 (PDT)
Received: from [127.0.0.1] (localhost [127.0.0.1])
 (Authenticated sender: sergiodj@HIDDEN)
 with ESMTPSA id 7997B200
From: Sergio Durigan Junior <sergiodj@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#12313: nnmairix bug when searching (End of file during
 parsing)
References: <87k3wgm5gz.fsf@HIDDEN> <87vc4nlgkg.fsf@HIDDEN>
 <87d2ndy5rp.fsf@HIDDEN>
X-URL: http://sergiodj.net/blog
Date: Thu, 10 Oct 2013 04:00:57 -0300
In-Reply-To: <87d2ndy5rp.fsf@HIDDEN> (Sergio Durigan Junior's message of
 "Thu, 10 Oct 2013 03:55:06 -0300")
Message-ID: <878uy1y5hy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Virus-Scanned: clamav-milter 0.97.8 at mx1
X-Virus-Status: Clean
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 12313
Cc: 12313 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

On Thursday, October 10 2013, I wrote:

> As it turns out, setting `debug-on-error' does not have any effect.
> I looked at nnmairix.el, but didn't find this message there.  I will see
> if I have some time to debug this in the next days.  Meanwhile, would
> you have some hints/advices for debugging this problem?

Well, I forgot to mention, I actually found something while looking at
the Messages buffer:

  nnmairix-request-group-with-article-number-correction: End of file during parsing

I'm using nnimap as my main backend (Dovecot), FWIW.

-- 
Sergio




Information forwarded to bugs@HIDDEN:
bug#12313; Package gnus. Full text available.

Message received at 12313 <at> debbugs.gnu.org:


Received: (at 12313) by debbugs.gnu.org; 10 Oct 2013 06:55:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 10 02:55:16 2013
Received: from localhost ([127.0.0.1]:39512 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VUA9T-00036c-Fe
	for submit <at> debbugs.gnu.org; Thu, 10 Oct 2013 02:55:16 -0400
Received: from mx1.riseup.net ([198.252.153.129]:34446)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sergiodj@HIDDEN>) id 1VUA9Q-00036S-CB
 for 12313 <at> debbugs.gnu.org; Thu, 10 Oct 2013 02:55:13 -0400
Received: from fulvetta.riseup.net (fulvetta-pn.riseup.net [10.0.1.75])
 (using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net", Issuer "Gandi Standard SSL CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 0EEEC4074E;
 Wed,  9 Oct 2013 23:55:10 -0700 (PDT)
Received: from [127.0.0.1] (localhost [127.0.0.1])
 (Authenticated sender: sergiodj@HIDDEN)
 with ESMTPSA id E6134200
From: Sergio Durigan Junior <sergiodj@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#12313: nnmairix bug when searching (End of file during
 parsing)
References: <87k3wgm5gz.fsf@HIDDEN> <87vc4nlgkg.fsf@HIDDEN>
X-URL: http://sergiodj.net/blog
Date: Thu, 10 Oct 2013 03:55:06 -0300
In-Reply-To: <87vc4nlgkg.fsf@HIDDEN> (Lars Ingebrigtsen's message
 of "Sat, 06 Jul 2013 19:54:39 +0200")
Message-ID: <87d2ndy5rp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Virus-Scanned: clamav-milter 0.97.8 at mx1
X-Virus-Status: Clean
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 12313
Cc: 12313 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

On Saturday, July 06 2013, Lars Ingebrigtsen wrote:

> Sergio Durigan Junior <sergiodj@HIDDEN> writes:
>
>> I configured nnmairix here, and when I try to search through my messages
>> it even mentions the search results, but when it tries to open the
>> search group to display the results, I see the "End of file during
>> parsing" error, and the group never gets opened.
>
> `(setq debug-on-error t)', repeat the bug and post the resulting
> backtrace.

Sorry for taking so long to reply.

As it turns out, setting `debug-on-error' does not have any effect.
I looked at nnmairix.el, but didn't find this message there.  I will see
if I have some time to debug this in the next days.  Meanwhile, would
you have some hints/advices for debugging this problem?

Thanks!

-- 
Sergio




Information forwarded to bugs@HIDDEN:
bug#12313; Package gnus. Full text available.

Message received at 12313 <at> debbugs.gnu.org:


Received: (at 12313) by debbugs.gnu.org; 6 Jul 2013 17:55:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 06 13:55:08 2013
Received: from localhost ([127.0.0.1]:35156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UvWhN-0005ln-Uu
	for submit <at> debbugs.gnu.org; Sat, 06 Jul 2013 13:55:06 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:33836)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <larsi@HIDDEN>) id 1UvWhL-0005lK-B5
 for 12313 <at> debbugs.gnu.org; Sat, 06 Jul 2013 13:55:04 -0400
Received: from 46.157.223.218.tmi.telenormobil.no ([46.157.223.218]
 helo=building.gnus.org)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1UvWh9-0003j4-Q2; Sat, 06 Jul 2013 19:54:52 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Sergio Durigan Junior <sergiodj@HIDDEN>
Subject: Re: bug#12313: nnmairix bug when searching (End of file during
 parsing)
References: <87k3wgm5gz.fsf@HIDDEN>
Date: Sat, 06 Jul 2013 19:54:39 +0200
In-Reply-To: <87k3wgm5gz.fsf@HIDDEN> (Sergio Durigan Junior's message of
 "Thu, 30 Aug 2012 18:31:56 -0300")
Message-ID: <87vc4nlgkg.fsf@HIDDEN>
User-Agent: Gnus/5.130008 (Ma Gnus v0.8) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1UvWh9-0003j4-Q2
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1373738092.14108@sur6dCLE8tsmSUN+kycWTA
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 12313
Cc: 12313 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Sergio Durigan Junior <sergiodj@HIDDEN> writes:

> I configured nnmairix here, and when I try to search through my messages
> it even mentions the search results, but when it tries to open the
> search group to display the results, I see the "End of file during
> parsing" error, and the group never gets opened.

`(setq debug-on-error t)', repeat the bug and post the resulting
backtrace.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bugs@HIDDEN:
bug#12313; Package gnus. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Aug 2012 21:33:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 30 17:33:16 2012
Received: from localhost ([127.0.0.1]:58513 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T7CMV-00045L-Um
	for submit <at> debbugs.gnu.org; Thu, 30 Aug 2012 17:33:16 -0400
Received: from mx1.riseup.net ([204.13.164.18]:39267)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <sergiodj@HIDDEN>) id 1T7CMT-00045C-Oi
	for submit <at> debbugs.gnu.org; Thu, 30 Aug 2012 17:33:14 -0400
Received: from fruiteater.riseup.net (fruiteater-pn.riseup.net [10.0.1.74])
	(using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
	(Client CN "*.riseup.net", Issuer "Gandi Standard SSL CA" (verified OK))
	by mx1.riseup.net (Postfix) with ESMTPS id 7105E5919A
	for <submit <at> debbugs.gnu.org>; Thu, 30 Aug 2012 14:32:01 -0700 (PDT)
Received: from [127.0.0.1] (localhost [127.0.0.1])
	(Authenticated sender: sergiodj@HIDDEN)
	with ESMTPSA id 54BE6C78
From: Sergio Durigan Junior <sergiodj@HIDDEN>
To: submit <at> debbugs.gnu.org (The Gnus Bugfixing Girls + Boys)
Subject: nnmairix bug when searching (End of file during parsing)
X-Debbugs-Version: 5.13
X-Debbugs-Package: gnus
X-URL: http://sergiodj.net/blog
Date: Thu, 30 Aug 2012 18:31:56 -0300
Message-ID: <87k3wgm5gz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Virus-Scanned: clamav-milter 0.97.5 at mx1
X-Virus-Status: Clean
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

I configured nnmairix here, and when I try to search through my messages
it even mentions the search results, but when it tries to open the
search group to display the results, I see the "End of file during
parsing" error, and the group never gets opened.

I tried running `mairix' from the command line, with the same search,
and it succeeded (i.e., found the messages and created the symbolic
links on the Maildir-style directory).

I am using nnimap with Dovecot to access my emails.  I created the
nnmairix group using the default procedure, i.e., "G b c".

Please let me know if you need more information.

Gnus v5.13
GNU Emacs 24.1.1 (x86_64-redhat-linux-gnu, GTK+ Version 2.24.10)
 of 2012-07-13 on x86-04.phx2.fedoraproject.org

-- 
Sergio




Acknowledgement sent to Sergio Durigan Junior <sergiodj@HIDDEN>:
New bug report received and forwarded. Copy sent to bugs@HIDDEN. Full text available.
Report forwarded to bugs@HIDDEN:
bug#12313; Package gnus. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 15 Apr 2018 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.